Subject: Re: bug#50940: how df utility displays sizes - GB vs GiB

From: Paul Eggert <[email-masked]>
Date: Fri, 1 Oct 2021 14:01:14 -0700

On 10/1/21 1:30 PM, Danie de Jager wrote:
> Can we use the same options, but to trigger the longer annotation, we
> double the characters used to -hh and -HH?

Interesting idea. Normally, later options override earlier, so 'df -h 
-H' is equivalent to 'df -H'. This is so that one can alias 'df' to 'df 
-h' and then type plain 'df' to get the same behavior as 'df -h', while 
being able to type 'df -H' to get the other behavior. With that in mind 
if we made the change you suggest, such an alias would mean that if you 
typed 'df' you would get the behavior of ordinary 'df -h' while if you 
typed 'df -h' you'd get the behavior of ordinary 'df -hh'. So there 
might be an opportunity for confusion there.

We could of course use a different option letter (unfortunately -B is 
already taken...).